## The base resource for saving a specific Node
class_name DayNightCycleDataResource
extends NodeDataResource


@export var time: float  ## Time from DayNightCycleComponent.time
@export var node_path: NodePath


func _save_data(node: Node) -> void:
	node_path = node.get_path()
	time =  node.time

func _load_data(window: Window) -> void:
	var scene_node: DayNightCycleComponent = window.get_node_or_null(node_path)
	if scene_node == null:
		printerr("Couldn't find DayNightCycleDataResource.node_path")
		return
	scene_node.set_time.emit(time)
